package com.ruoyi.common.core.utils;

import java.text.DecimalFormat;

/**
 * @Description: 数字处理通用工具类
 * @ClassName: NumberUtils
 * @Author  : xins
 * @Date    :2023-09-15  9:28
 * @Version :1.0
 */
public class NumberUtils {

    public static String getPercentage(int x, int y) {
        double d1 = x * 1.0;
        double d2 = y * 1.0;
        // 设置保留几位小数， “.”后面几个零就保留几位小数，这里设置保留四位小数
        DecimalFormat decimalFormat = new DecimalFormat("##.00%");
        return decimalFormat.format(d1 / d2);
    }
}
